org.appng.xml.platform

## Class ValidationGroups.Group

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.ValidationGroups.Group

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    ValidationGroups

      public static class ValidationGroups.Group
      extends BaseObject
      implements Serializable

  The full qualified class name for this group.

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="condition" type="{http://www.appng.org/schema/platform}expression" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `clazz`
    `protected String` | `condition`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Group()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClazz()` Gets the value of the clazz property.
    `String` | `getCondition()` Gets the value of the condition property.
    `void` | `setClazz(String value)` Sets the value of the clazz property.
    `void` | `setCondition(String value)` Sets the value of the condition property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clazz

          protected String clazz

    - #### condition

          protected String condition

  - ### Constructor Detail

    - #### Group

          public Group()

  - ### Method Detail

    - #### getClazz

          public String getClazz()

      Gets the value of the clazz property.
      Returns:
        possible object is `String`

    - #### setClazz

          public void setClazz(String value)

      Sets the value of the clazz property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCondition

          public String getCondition()

      Gets the value of the condition property.
      Returns:
        possible object is `String`

    - #### setCondition

          public void setCondition(String value)

      Sets the value of the condition property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.